Skip to main content
PUT
/
v1
/
orgs
/
{org_id}
/
credentials
/
{key}
Update Credential
curl --request PUT \
  --url https://api.letpiper.com/v1/orgs/{org_id}/credentials/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "last_used_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
key
string
required

Body

application/json

Schema for updating a credential's value.

value
string<password>
required

The new secret value (will be encrypted)

Minimum string length: 1

Response

Successful Response

Schema for credential response (never includes the value).

id
string<uuid>
required
key
string
required
last_used_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required